Ethereum account

### Hierarchy

- EvmAccount

## Index

### Constructors

- constructor

### Properties

- _nonce
- address
- key
- name
- EC

### Accessors

- nonce

### Methods

- incNonce
- serialize
- sign
- computeAddress
- deserialize

## Constructors

### constructor

- new EvmAccount(name: string, privKey?: Buffer, nonce?: number): EvmAccount

- - Defined in src/bevm/bevm-instance.ts:47

  Create a new EVM account

  #### Parameters

  - ##### name: string

    Account name

  - ##### Optional privKey: Buffer

    Private key for the account (32 bytes); if not specified, a new one is generated randomly

  - ##### Default value nonce: number = 0

    Initial nonce for the account; should normally not be specified

  #### Returns EvmAccount

## Properties

### Private _nonce

_nonce: number

- Defined in src/bevm/bevm-instance.ts:43

### address

address: Buffer

- Defined in src/bevm/bevm-instance.ts:41

### Protected key

key: KeyPair

- Defined in src/bevm/bevm-instance.ts:42

### name

name: string

- Defined in src/bevm/bevm-instance.ts:57

Account name

### Static EC

EC: ec = new ec("secp256k1")

- Defined in src/bevm/bevm-instance.ts:22

## Accessors

### nonce

- get nonce(): number

- - Defined in src/bevm/bevm-instance.ts:45

  #### Returns number

## Methods

### incNonce

- incNonce(): void

- - Defined in src/bevm/bevm-instance.ts:72

  #### Returns void

### serialize

- serialize(): object

- - Defined in src/bevm/bevm-instance.ts:76

  #### Returns object

### sign

- sign(tx: Transaction): void

- - Defined in src/bevm/bevm-instance.ts:67

  #### Parameters

  - ##### tx: Transaction

  #### Returns void

### Static Private computeAddress

- computeAddress(key: KeyPair): Buffer

- - Defined in src/bevm/bevm-instance.ts:28

  #### Parameters

  - ##### key: KeyPair

  #### Returns Buffer

### Static deserialize

- deserialize(obj: any): EvmAccount

- - Defined in src/bevm/bevm-instance.ts:24

  #### Parameters

  - ##### obj: any

  #### Returns EvmAccount

Generated using TypeDoc